#!/bin/sh
#
# Homebrew

# Check for Homebrew
if test ! $(which brew)
then
  echo "Installing Homebrew..."

  /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
fi

brew update > /dev/null

echo "Installing Homebrew packages..."
echo
cat Brewfile | xargs brew install
echo
echo "Finished installing Homebrew packages"

echo "Setting up zsh as default shell..."
echo
chsh -s /opt/homebrew/bin/zsh
echo
echo "Finished setting up zsh as default shell"

echo "Installing Homebrew casks..."
echo
brew tap homebrew/cask-versions
cat Caskfile | xargs brew install --cask
echo
echo "Finished installing Homebrew casks"

# Set spaceduck theme for iTerm
open "../misc/spaceduck.itermcolors"

exit 0
