#!/bin/sh
echo "Setting macOS defaults..."
echo

# Always open everything in Finder's list view
defaults write com.apple.Finder FXPreferredViewStyle Nlsv

# Show the ~/Library folder
chflags nohidden ~/Library

# Set highlight color to pink
defaults write NSGlobalDomain AppleHighlightColor -string "1.000000 0.749020 0.823529"

# Set dark mode
defaults write NSGlobalDomain AppleInterfaceStyle Dark

# Set sidebar icon size to medium
defaults write com.apple.dock tilesize -int 64

# Autohide dock
defaults write com.apple.dock autohide -bool true

# Delete all apps from dock, so we can add our own
defaults write com.apple.dock persistent-apps -array

# Save screenshots to the desktop
defaults write com.apple.screencapture location -string "${HOME}/Documents/Screenshots"

# Don’t display the annoying prompt when quitting iTerm
defaults write com.googlecode.iterm2 PromptOnQuit -bool false

echo "Finished setting macOS defaults."
echo
